%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
Name:           gnomecatalog
Version:        0.3.4.2
Release:        3%{?dist}
Summary:        Catalog Software for Gnome Desktop

Group:          Applications/File
License:        GPLv3
URL:            http://gnomecatalog.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         gnomecatalog-fstypes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  sqlite-devel, desktop-file-utils, python-devel, gettext, python-setuptools-devel
Requires:       gnome-desktop, python-sqlite2, pygtk2, python-vorbis, python-kaa-metadata
Buildarch:      noarch

%description
Catalog your dvds/cds and files in your hard disk. Generate thumbnails 
of the video files and image files via nautilus (gnome file manager), 
and saves it in the database files. Save the metadata of the files, 
then you can search in the metatada of music and images.

%prep
%setup -q 
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT 

desktop-file-install --vendor="fedora"   --delete-original            \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
   
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE README TODO ChangeLog
%{python_sitelib}/*
%{_bindir}/gnomecatalog
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime-info/%{name}*
%{_datadir}/mime/packages/gnomecatalog.xml
%{_datadir}/man/man1/gnomecatalog.1.gz
%{_datadir}/application-registry/gnomecatalog.applications
%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-x-gcatalog.png

%changelog
* Thu Oct 22 2009 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.4.2-3
- Patch for permissions added thanks to Alexander Ovcharenko
- Closes bug bz 509237
- Clean up the spec file removing the F9 python-setuptools buildrequires

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 20 2009 Marc Wiriadiastra <marc@mwiriadi.id.au> - 0.3.4.2-1
- Update for new upstream which fixes bug listed below.
- Cleaned up spec file to suit new upstream source file; tar.bz2 and
  .orig no longer needed. 
- Fixed bug where if you try to add a CD which includes files with 
  names including a hash character, gnomecatalog will end up in an 
  infinite loop because gnomevfs.DirectoryHandle expects the name to 
  be URI-encoded and hence treats the '#' as a bookmark within a page.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.4-4
- Rebuild for Python 2.6

* Fri Jan 25 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.4-3
- Removed msgfmt and added gettext

* Fri Jan 25 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.4-2
- Added msgfmt to build requires

* Sun Jan 20 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.4-1
- New version
- Removed patch because it is included

* Tue Jan 15 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.3-1
- Added patch to shift libdir to datadir
- New release
- Removed AUTHORS doc file since it is no longer included
- Removed patch no longer needed upstream has taken my patch in
* Fri Jan 11 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.2.1-1
- Initial release
